net.sf.jasperreports.engine.type

## Enum LineDirectionEnum

- java.lang.Object
- - java.lang.Enum<LineDirectionEnum>
  - - net.sf.jasperreports.engine.type.LineDirectionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LineDirectionEnum>, JREnum, NamedEnum

      public enum LineDirectionEnum
      extends java.lang.Enum<LineDirectionEnum>
      implements JREnum

  Version:
    $Id: LineDirectionEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_UP` Constant used for specifying that the line starts from the bottom and goes towards the top.
    `TOP_DOWN` Constant used for specifying that the line starts from the top and goes towards the bottom.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineDirectionEnum` | `getByName(java.lang.String name)`
    `static LineDirectionEnum` | `getByValue(byte value)`
    `static LineDirectionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static LineDirectionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LineDirectionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP_DOWN

          public static final LineDirectionEnum TOP_DOWN

      Constant used for specifying that the line starts from the top and goes towards the bottom.

    - #### BOTTOM_UP

          public static final LineDirectionEnum BOTTOM_UP

      Constant used for specifying that the line starts from the bottom and goes towards the top.

  - ### Method Detail

    - #### values

          public static LineDirectionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineDirectionEnum c : LineDirectionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineDirectionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static LineDirectionEnum getByName(java.lang.String name)

    - #### getByValue

          public static LineDirectionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static LineDirectionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com